View Issue Details

IDProjectCategoryView StatusLast Update
13500Bug reports[All Projects] Theme editorpublic2018-03-28 12:14
Reporterollehar Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.5.x 
Target Version3.5.xFixed in Version3.5.x 
Summary13500: Upload file in theme options is weird
Description

Two issues:

  1. In default template (not copied/extended), it shows an error message that's not clear. Should either fix so it's working or give better error message (like "Can't upload for non-extended theme").

  2. When upload file in extended theme, the page reloads immediately and hides the success message.

  3. No file list after success? What happened? What should I do now?

Steps To Reproduce
  1. Create survey
  2. Upload file in theme options
TagsNo tags attached.
Complete LimeSurvey version number (& build)latest
I will donate to the project if issue is resolvedNo
Browser-
Database & DB-Version-
Server OS (if known)-
Webserver software & version (if known)-
PHP Version-

Relationships

related to 13503 assignedmarkusfluer The Upload of Images not work. A popup occurs "No Permission" if you want to upload a picture to a survey 

Activities

markusfluer

markusfluer

2018-03-19 14:55

administrator   ~47126

This should be fixed with commit #a3d9f34fdb487441902d1dce21d0cabb28e83c0f

ollehar

ollehar

2018-03-19 15:46

administrator   ~47127

Five days old commit? No, this issue I had still today.

markusfluer

markusfluer

2018-03-20 14:41

administrator   ~47136

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26816

c_schmitz

c_schmitz

2018-03-28 12:14

administrator   ~47258

Version 3.6.0 released

Related Changesets

LimeSurvey: master 93830bd6

2018-03-20 14:40:54

markusfluer

Details Diff
Fixed issue 13500: Upload file in theme options is weird Affected Issues
13500
mod - application/controllers/admin/themes.php Diff File
mod - application/core/LS_Twig_Extension.php Diff File
mod - application/views/admin/themeoptions/update.php Diff File
mod - themes/survey/bootswatch/options/options.js Diff File
mod - themes/survey/fruity/options/options.js Diff File
mod - themes/survey/vanilla/options/options.js Diff File

Issue History

Date Modified Username Field Change
2018-03-19 13:26 ollehar New Issue
2018-03-19 13:26 ollehar Status new => assigned
2018-03-19 13:26 ollehar Assigned To => markusfluer
2018-03-19 14:55 markusfluer Note Added: 47126
2018-03-19 15:46 ollehar Note Added: 47127
2018-03-19 17:08 markusfluer Note View State: 47126: public
2018-03-20 14:41 markusfluer Changeset attached => LimeSurvey master 93830bd6
2018-03-20 14:41 markusfluer Note Added: 47136
2018-03-20 14:41 markusfluer Resolution open => fixed
2018-03-20 15:08 markusfluer Status assigned => resolved
2018-03-20 15:08 markusfluer Fixed in Version => 3.5.x
2018-03-20 15:09 markusfluer Relationship added related to 13503
2018-03-28 12:14 c_schmitz Note Added: 47258
2018-03-28 12:14 c_schmitz Status resolved => closed